Errors
These API endpoints allow you to check the errors received from WABA
List errors reported by WhatsApp for your number.
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
Number of results to return per page.
The initial index from which to return the results.
123http://api.example.org/accounts/?offset=400&limit=100http://api.example.org/accounts/?offset=200&limit=100GET /api/v1/errors/waba/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"waba_payload": null,
"timestamp": 1,
"waba_id": "text",
"getchat_id": "text"
}
]
}Get a single error reported by WhatsApp.
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
A unique integer value identifying this WABA error.
WhatsApp Business API ID of the Message related to this error,if this error comes from an existing WhatsApp Message. Remember that if you're creating a Message and WhatsApp will return an user error (for example invalid template ID), then you will never see waba_id here, because Message was not created in WhatsApp. However, in that case you will still receive getchat_id for your reference.
Inbox internal ID of the Message that is related to this error. This field will be null in rare cases, so you should implement that. Examples are: 1. Fresh installation of a new inbox that is receiving error statuses from WhatsApp, but messages related to those errors are not present in the inbox - those messages were sent before user started using the inbox. 2. The inbox reached the quota limit and WhatsApp has sent an error status that is related to a message that was already removed from the inbox.
GET /api/v1/errors/waba/{id}/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
{
"waba_payload": null,
"timestamp": 1,
"waba_id": "text",
"getchat_id": "text"
}Last updated
Was this helpful?